"use strict";

var _ = _interopRequireDefault(require("../"));

var _operations = _interopRequireDefault(require("./operations"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var createBits = function createBits() {
  return _.default.string.toBits('1000 1101');
};

var createOtherBits = function createOtherBits() {
  return _.default.string.toBits('0110 0100');
};

test('NOT', function () {
  var bits = createBits();

  var expected = _.default.string.toBits('0111 0010');

  expect(_operations.default.not(bits)).toEqual(expected);
});
test('OR', function () {
  var bits = createBits();
  var otherBits = createOtherBits();

  var expected = _.default.string.toBits('1110 1101');

  expect(_operations.default.or(bits, otherBits)).toEqual(expected);
});
test('XOR', function () {
  var bits = createBits();
  var otherBits = createOtherBits();

  var expected = _.default.string.toBits('1110 1001');

  expect(_operations.default.xor(bits, otherBits)).toEqual(expected);
});
test('NOR', function () {
  var bits = createBits();
  var otherBits = createOtherBits();

  var expected = _.default.string.toBits('0001 0010');

  expect(_operations.default.nor(bits, otherBits)).toEqual(expected);
});
test('XNOR', function () {
  var bits = createBits();
  var otherBits = createOtherBits();

  var expected = _.default.string.toBits('0001 0110');

  expect(_operations.default.xnor(bits, otherBits)).toEqual(expected);
});
test('AND', function () {
  var bits = createBits();
  var otherBits = createOtherBits();

  var expected = _.default.string.toBits('0000 0100');

  expect(_operations.default.and(bits, otherBits)).toEqual(expected);
});
test('NAND', function () {
  var bits = createBits();
  var otherBits = createOtherBits();

  var expected = _.default.string.toBits('1111 1011');

  expect(_operations.default.nand(bits, otherBits)).toEqual(expected);
});