"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

/**
 *	Converts a bit array to a string. If defined, inserts spacer every spacing characters, but never inserts it as the last substring.
 *
 *	@example
 *	toString([1,0,1,0,1,0], 2, '_') => '10_10_10'
 *
 *	@param bits {Array} the bits to convert
 *	@param spacing {Number} where to place the spacers
 *	@param spacer {Number} the string used as a spacer
 *	@return {String}
 */
var _default = function _default(bits) {
  var spacing = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
  var spacer = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : ' ';
  if (!spacing) return bits.join('');
  var result = '';

  for (var i = 0; i < bits.length; i++) {
    result += "".concat(bits[i]);
    if (i % spacing === spacing - 1 && i !== bits.length - 1) result += spacer;
  }

  return result;
};

exports.default = _default;