"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _write = _interopRequireDefault(require("../byte/write"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 *	Creates a new buffer and writes the given bits.
 *
 *	@example
 *	createBuffer([1,1,1,1, 0,0,0,1, 1,0,1,0]) => buffer with data 1111 0001 1010 0000
 *
 *	@param bits {Array} an array containing the bits to insert
 *	@returns {Buffer}
 */
var _default = function _default(bits) {
  var data = [0, 0, 0, 0, 0, 0, 0, 0];
  var buffer = new Buffer(Math.ceil(bits.length / 8));
  buffer.fill(0x00);

  for (var i = 0; i < buffer.length; i++) {
    for (var j = 0; j < 8; j++) {
      if (bits[i * 8 + j]) data[j] = bits[i * 8 + j];else data[j] = 0;
    }

    buffer[i] = (0, _write.default)(data);
  }

  return buffer;
};

exports.default = _default;