"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _readUInt = _interopRequireDefault(require("./read-u-int"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 *	Converts a section of a buffer to a complementary integer.
 *	A complementary integer is like an unsigned integer, but always represents negative numbers.
 *
 *	@example
 *	// buffer 11110110
 *	readUInt(buffer, 3, 5) => -22
 *
 *	@param {Buffer} buffer the buffer to extract information from
 *	@param {Number} length the length of the signed integer (in bits)
 *	@param {Number} offset where to start (in bits)
 *	@return {Number}
 */
var _default = function _default(buffer, offset, length) {
  return 0 - (0, _readUInt.default)(buffer, offset, length);
};

exports.default = _default;