"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _read = _interopRequireDefault(require("./read"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// 32-bit powers of two wouldn't be possible with <<
var p2 = [];

for (var i = 0; i < 32; i++) {
  p2[i] = Math.pow(2, i);
}
/**
 *	Converts a section of a buffer to an unsigned integer.
 *
 *	@example
 *	// buffer 11110110
 *	readUInt(buffer, 3, 5) => 22
 *
 *	@param buffer {Buffer} the buffer to extract information from
 *	@param length {Number} the length of the unsigned integer (in bits)
 *	@param offset {Number} where to start (in bits)
 *	@returns {Number}
 */


var _default = function _default(buffer) {
  var offset = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
  var length = arguments.length > 2 && arguments[2] !== undefined ? arguments[2] : 8;
  var arr = (0, _read.default)(buffer, offset, length);
  var result = 0;

  for (var _i = 0; _i < length; _i++) {
    result += arr[_i] * p2[length - _i - 1];
  }

  return result;
};

exports.default = _default;