"use strict";

var _read = _interopRequireDefault(require("./read"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

test('read data', function () {
  expect((0, _read.default)(0xe1)).toEqual([1, 1, 1, 0, 0, 0, 0, 1]);
  expect((0, _read.default)(0x2a)).toEqual([0, 0, 1, 0, 1, 0, 1, 0]);
  expect((0, _read.default)(0xff)).toEqual([1, 1, 1, 1, 1, 1, 1, 1]);
  expect((0, _read.default)(0x00)).toEqual([0, 0, 0, 0, 0, 0, 0, 0]);
});
test('throw when the array is invalid', function () {
  expect(function () {
    return (0, _read.default)();
  }).toThrow();
  expect(function () {
    return (0, _read.default)(256);
  }).toThrow();
  expect(function () {
    return (0, _read.default)(-1);
  }).toThrow();
  expect(function () {
    return (0, _read.default)(0.01);
  }).toThrow();
  expect(function () {
    return (0, _read.default)([0, 1, 0, 1, 0, 1, 0, 1]);
  }).toThrow();
  expect(function () {
    return (0, _read.default)('FF');
  }).toThrow();
});